## ros-kinetic-marti-nav-msgs 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(marti_nav_msgs)

set(MSG_DEPS
  geographic_msgs
  geometry_msgs
  marti_common_msgs
  sensor_msgs
  std_msgs
)

set(BUILD_DEPS
  ${MSG_DEPS}
  message_generation
)

set(RUNTIME_DEPS
  ${MSG_DEPS}
  message_runtime
)

find_package(catkin REQUIRED COMPONENTS ${BUILD_DEPS})

add_message_files(FILES
  Command.msg
  GridMap.msg
  LeadVehicle.msg
  Obstacle.msg
  ObstacleArray.msg
  PathPlanning.msg
  Path.msg
  PathPoint.msg
  Route.msg
  RouteArray.msg
  RouteOffset.msg
  RoutePoint.msg
  RoutePosition.msg
  RouteSpeed.msg
  RouteSpeedArray.msg
  TeleopState.msg
  TrackedObject.msg
  TrackedObjectArray.msg
  VehicleControl.msg
  Wgs84Sample.msg
)

add_service_files(FILES
  DeleteRoute.srv
  GetRoute.srv
  GetRouteList.srv
  PlanRoute.srv
  SaveRecordedRoute.srv
  SaveRoute.srv
  SetRoute.srv
  UpdateRouteMetadata.srv
)

generate_messages(DEPENDENCIES ${MSG_DEPS})

catkin_package(CATKIN_DEPENDS ${RUNTIME_DEPS})

=== debian/changelog ===
ros-kinetic-marti-nav-msgs (0.10.0-1xenial) xenial; urgency=high

  * Add path message (#109 <https://github.com/swri-robotics/marti_messages/issues/109>)
  * Add explicit dependencies on std_msgs (#110 <https://github.com/swri-robotics/marti_messages/issues/110>)
  * Update minimum cmake version (#108 <https://github.com/swri-robotics/marti_messages/issues/108>)
  * Contributors: Matthew Bries, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-kinetic-marti-nav-msgs (0.9.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.8.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.7.0-1xenial) xenial; urgency=high

  * Add RouteArray.msg file
  * Contributors: Daniel-Stanek, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.6.0-1xenial) xenial; urgency=high

  * Include route id with route position for disambiguation.
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.5.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.4.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-kinetic-marti-nav-msgs (0.3.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.2.0-1xenial) xenial; urgency=high

  * AddRouteOffset Message (#86 <https://github.com/swri-robotics/marti_messages/issues/86>)
  * Contributors: Matthew

 -- Marc Alban <malban@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.1.0-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.0.9-1xenial) xenial; urgency=high

  * Add Wgs84Sample message type. (#82 <https://github.com/swri-robotics/marti_messages/issues/82>)
    Wgs84Sample is a new message type that contains a sensor measurement in WGS-84 (e.g. GPS sample)
    and the corresponding sensor location in relative coordinates (e.g. antenna position).
  * Contributors: Elliot Johnson

 -- Marc Alban <malban@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.0.8-1xenial) xenial; urgency=high

  * Add GridMap message.
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.0.7-1xenial) xenial; urgency=high

  * Add service to delete routes
  * Add more detailed comments to TrackedObject.msg
  * Add messages for tracked objects.
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-kinetic-marti-nav-msgs (0.0.6-1xenial) xenial; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.0.5-1xenial) xenial; urgency=high

  * Adds new services to save a route and to update a route's metadata:
    
      * SaveRoute
        
          * Takes a list of route points and saves it
          * If the route's GUID matches an existing route, it will be overwritten
        
      * UpdateRouteMetadata
        
          * Modifies an existing route
          * Replaces the properties on specified points with new properties
        
    
  * Adds Obstacle/ObstacleArray messages to marti_nav_msgs.
  * Contributors: Elliot Johnson, P. J. Reed

 -- Marc Alban <malban@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.0.4-1xenial) xenial; urgency=high

  * Build PlanRoute service.
  * Add marti_nav_msgs/RouteSpeedArray message.
  * Adding a service for planning routes
    Resolves #61 <https://github.com/swri-robotics/marti_messages/issues/61>
  * Adding a service to set the currently active route
  * Add services for getting routes.
  * Add service definition for saving a recorded route.
  * Contributors: Elliot Johnson, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-kinetic-marti-nav-msgs (0.0.3-1xenial) xenial; urgency=high

  * Adds RouteSpeed message.
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-kinetic-marti-nav-msgs (0.0.2-1xenial) xenial; urgency=high

  * Adds Route, RoutePoint, and RoutePosition messages
    Route and RoutePoint are very general messages to define a sequence of
    achievable poses for a vehicle along with arbitrary metadata about the
    route and the point itself.
  * Contributors: Jerry Towler

 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-kinetic-marti-nav-msgs (0.0.1-1xenial) xenial; urgency=high

  * Fixing catkin_lint problems that could prevent installation.
  * update cmake version to squash the CMP0003 warning
  * remove dependencies on build_tools
  * use format 2 package definition
  * build fixes for catkin
  * catkinize marti_messages
  * Create README.md
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-marti-nav-msgs
Section: misc
Priority: optional
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geographic-msgs, ros-kinetic-geometry-msgs, ros-kinetic-marti-common-msgs, ros-kinetic-message-generation, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: https://github.com/swri-robotics/marti_messages
Standards-Version: 3.9.2

Package: ros-kinetic-marti-nav-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geographic-msgs, ros-kinetic-geometry-msgs, ros-kinetic-marti-common-msgs, ros-kinetic-message-runtime, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: marti_nav_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-marti-nav-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
